/* Overriding some component */
.MuiInputLabel-animated {
  color: #b5b8ba !important;
}

.MuiInput-underline:after {
  border-bottom: 2px solid rgb(236, 237, 237) !important;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active  {
  -webkit-box-shadow: 0 0 0 30px rgb(166, 168, 170) inset !important;
}

.sp-form-control-register  .MuiInputBase-input {
  color: rgb(236, 237, 237) !important;
  height: 1.7em !important;
}
.sp-form-control-register button:focus {
  outline: none !important;
}

.sp-form-control-register .MuiSvgIcon-root {
  height: 0.7em !important;
  width: 0.7em !important;
}

.sp-endAdornment {
  height: 0.7em !important;
  width: 0.7em !important;
}


form {
  width: 100%;
  padding: 2em;
}

.hide-me {
  display: none !important;
}

.sp-form-control-register {
   min-width: 90% !important;
}
.sp-input-register {
  color: #dedcdc !important;
}

#register-title {
  color: #ffffff;
}

.loginBox {
  width: 30%;
  text-align: center;
  position: relative;
  left: 50%;
  transform: translate(-50%, 10%);
  padding: 25px;
  background-color: rgba(75, 83, 91, 0.7);
  box-shadow: 0 0 20px 2px rgba(0, 0, 0, 0.4);
  border-radius: .25rem;
}

.signUpSubmit {
  margin: 25px 0 15px 0;
}

.pwStrRow {
  width: 63%;
  text-align: left;
  margin: auto;
  padding: 0;
  font-size: 12px;
}

.pwStrWeak {
  display: inline-block;
  position: relative;
  left: 0;
  padding: 0;
  margin: 0;
  color: #e5d6ce;
}

.pwStrStrong {
  display: inline-block;
  position: relative;
  left: 85%;
  padding: 0;
  margin: 0;
  color: #e5d6ce;
}

.sp-a {
  color: rgb(236, 237, 237) !important;
  font-weight: 600;
}


@media screen and (max-width: 550px) {
  form {
    width: 100%;
    padding: 0;
  }
  .loginBox {
    width: 85%;
  }
  .sp-form-control-register {
    min-width: 100% !important;
  }
}
